Bug 1343510 - (CVE-2014-9850) CVE-2014-9850 ImageMagick: incorrect thread limit logic
CVE-2014-9850 ImageMagick: incorrect thread limit logic
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20141224,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-07 08:01 EDT by Martin Prpic
Modified: 2016-06-07 08:01 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpic 2016-06-07 08:01:25 EDT
Limit thread when thread limit is 0. It is a logic error that could lead to resource exhaustion.

CVE assignment:

http://seclists.org/oss-sec/2016/q2/459

Upstream patch:

https://anonscm.debian.org/cgit/collab-maint/imagemagick.git/commit/?h=debian-patches/6.8.9.9-4-for-upstream&id=2257d1eadd02d89d225fce21013a1219d221dc7d

Note You need to log in before you can comment on or make changes to this bug.